<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type= "text/javascript">
		Let celdas[];

		new Function inicio(){
			let celdas=[];

			/* quiero acceder a los td*/
		/*querySelectorAll()devuelve un elemento*/
		/*querySelectorAll()devuelve un array*/

             document.querySelectorAll("td")
             celdas=document.querySelectorAll("td");
             celdas[0].innerHTML+="lo que queramos";
             celdas[1].style.backgroundColor="RED";
             celdas[posicion].style.color="white";
             
             function cambia (posicion);
             	let celdas=[];

             }

		        
       }

	</script>
</head>
<body onload="inicio()">
	<table border="1">
		<tr>
			<td onclick="cambia(this)">1</td>
            <td onclick="cambia(this)">2</td>
            <td onclick="cambia(this)">3</td>
            <td onclick="cambia(this)">4</td>
            <td onclick="cambia(this)">5</td>
	
</body>
</html>